'csc 230 example demonstrates random number generation 

Public Class FrmRandomNumbers
    Dim Number1 As Integer          'first number (generated "randomly")
    Dim Number2 As Integer          'second number (generated "randomly")
    Dim RightAnswer As Integer      'the correct answer

    Dim RandomNumber As Random = New Random
    'declare and instantiate an object of the random class


    '*************************************************************
    'set up a new problem -- pick and display two random numbers 
    'and determine correct answer based on operation selected
    Private Sub btnAnother_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAnother.Click
        Number1 = RandomNumber.Next(1, 10)
        Number2 = RandomNumber.Next(1, 10)
        'the Next method of the random class provides a 
        'random integer -- this version gives a number between 
        'the two arguments/limits
        'includes lower number as possibility
        'does not include upper number as possibility

        'display numbers
        lblNumber1.Text = Number1
        lblNumber2.Text = Number2

        'determine correct answer
        Select Case cboOperation.Text
            Case "Addition"
                RightAnswer = Number1 + Number2
            Case "Subtraction"
                RightAnswer = Number1 - Number2
            Case "Multiplication"
                RightAnswer = Number1 * Number2
        End Select

        txtAnswer.Clear()
    End Sub

    '************************************************************
    'as form is starting, call btnAnother method which sets up a new problem
    Private Sub FrmRandomNumbers_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        btnAnother_Click(sender, e)
    End Sub

    '************************************************************
    'compare user's answer and correct answer, display appropriate message 
    Private Sub btnCheck_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCheck.Click
        If Not IsNumeric(txtAnswer.Text) Then
            MsgBox("Please enter a number.")
            txtAnswer.Clear()
            txtAnswer.Focus()
            Exit Sub
        End If

        'If txtAnswer.Text.Trim = RightAnswer Then
        '    MsgBox("You are correct!")
        'Else
        '    MsgBox("Sorry, that is incorrect.")
        '    txtAnswer.Focus()
        'End If

        'giving a random response 
        Dim MessageNumber As Integer
        MessageNumber = RandomNumber.Next(1, 4)

        If txtAnswer.Text.Trim = RightAnswer Then
            Select Case MessageNumber
                Case 1
                    MsgBox("You are correct!")
                Case 2
                    MsgBox("That's right!")
                Case 3
                    MsgBox("YES!")
            End Select

        Else
            Select Case MessageNumber
                Case 1
                    MsgBox("Sorry, that is incorrect.")
                Case 2
                    MsgBox("Wrong. Try again.")
                Case 3
                    MsgBox("Nope.")
            End Select

            txtAnswer.Focus()
        End If
    End Sub

    '************************************************************
    'change symbol and correct answer when new operation is selected
    Private Sub cboOperation_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboOperation.SelectedIndexChanged
        Select Case cboOperation.Text
            Case "Addition"
                lblSymbol.Text = "+"
                RightAnswer = Number1 + Number2
            Case "Subtraction"
                lblSymbol.Text = "-"
                RightAnswer = Number1 - Number2
            Case "Multiplication"
                lblSymbol.Text = "x"
                RightAnswer = Number1 * Number2
        End Select
        txtAnswer.Clear()
    End Sub

End Class
